"""
This module contains a collection of tunable models designed for tabular data, including both 
neural network architectures and scikit-learn based classifiers.

The models are built to handle tasks such as binary classification or multi-class classification.
They offer flexibility in terms of layers, activation functions, regularization 
techniques, and structure, while also supporting hyperparameter optimization.

This variety of models ensures adaptability to a wide range of tabular datasets, providing 
both deep learning and traditional machine learning approaches for structured data.
"""
